summaryrefslogtreecommitdiffstats
path: root/src/arm/kubernetes_vpp_vhostuser/k8s-deploy.sh
diff options
context:
space:
mode:
authortrevortao <trevor.tao@arm.com>2018-08-30 10:54:01 +0800
committertrevortao <trevor.tao@arm.com>2018-08-30 10:54:01 +0800
commitcdbfc1d717712f330aa1412d6c59085f98b8ac5e (patch)
tree4aea5a552cc562767557c7df1e15699fc5153a99 /src/arm/kubernetes_vpp_vhostuser/k8s-deploy.sh
parent3f74777a46de1ba29ad207ba9f1145a2cd6dd617 (diff)
Add Kubernetes VPP Vhostuser Deployment Scenario on arm64 platform
Add the deployment of Kubernetes VPP Vhostuser scenario with the help of Compass installer on arm64 platform, which would enable the containers and VPP vswitch communication with virtio-vhostuser interface. Change-Id: I84531dd3730f94a7910f2f5615a193420fdad73f Signed-off-by: trevortao <trevor.tao@arm.com>
Diffstat (limited to 'src/arm/kubernetes_vpp_vhostuser/k8s-deploy.sh')
-rwxr-xr-xsrc/arm/kubernetes_vpp_vhostuser/k8s-deploy.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/src/arm/kubernetes_vpp_vhostuser/k8s-deploy.sh b/src/arm/kubernetes_vpp_vhostuser/k8s-deploy.sh
new file mode 100755
index 0000000..21082b3
--- /dev/null
+++ b/src/arm/kubernetes_vpp_vhostuser/k8s-deploy.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+
+cd compass4nfv
+
+
+export ADAPTER_OS_PATTERN='(?i)CentOS-7.*arm.*'
+export OS_VERSION="centos7"
+export KUBERNETES_VERSION="v1.9.1"
+
+
+#For virtual environment:
+export DHA="deploy/conf/vm_environment/k8-nosdn-nofeature-noha.yml"
+export NETWORK="deploy/conf/vm_environment/network.yml"
+export VIRT_NUMBER=2 VIRT_CPUS=8 VIRT_MEM=8192 VIRT_DISK=50G
+
+./deploy.sh